
const assert = require('assert'),
      suite = require('testingey').createSuite('fakedb'),
      db = require('../lib/fakedb').init('synch-test.fdb');

db.on('load', function () {

  suite.asyncSpec('Test asynch db.add()', function (runner) {
    var doc = { username: 'addie', age: 0.3 };
    db.add(doc, function (key) {
      runner.capture(function () {
        assert.notEqual(key.length, 0);
      });
    });
  });

  suite.asyncSpec('Test asynch db.get()', function (runner) {
    var key = db.add({ username: 'sheryl', age: 33 });
    db.get(key, function (obj) {
      runner.capture(function () {
        assert.equal(obj.doc.username, 'sheryl');
      });
    });
  });

  suite.asyncSpec('Test asynch db.all()', function (runner) {
    
    db.key('username');
    
    db.all({ where: { username: 'addie' } }, function (matches) {
      runner.capture(function () {
        assert.notEqual(matches.length, 0);
      });
    });
  });

  suite.run();

});
